Delete budget item
curl --request DELETE \
--url https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/{budgetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/{budgetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/v3/campaigns/{campaignGuid}/budget/{budgetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Budget
Delete budget item
Delete a specific budget item by ID
DELETE
/
marketing
/
v3
/
campaigns
/
{campaignGuid}
/
budget
/
{budgetId}
Delete budget item
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the budget item, required. Example: 352
The UUID of the campaign, required Example: 9dbec438-53e2-4b28-8c0f-38f56574a6e8
Response
Last modified on March 30, 2026
Was this page helpful?
⌘I